import Hapi from 'hapi'
import Inert from 'inert'
import Joi from 'joi'
import WebpackPlugin from 'hapi-webpack-plugin'
import Package from './package'
import plugin from './lib'

import test from './test'

const startServer = async () => {
    const server = Hapi.server({
        host: process.env.HOSTNAME || 'localhost',
        address: process.env.IP || '0.0.0.0',
        port: process.env.PORT || 3000
    })

    if (process.env.NODE_ENV === 'development') {
        await server.register([
            {
                plugin: WebpackPlugin,
                options: './config/webpack.dev.js'
            }
        ])
    }

    await server.register([
        {
            plugin: Inert
        },
        {
            plugin: test
            // routes: { prefix: '/api' }
        },
        {
            plugin
        }
    ])

    await server.start()

    console.log(`${Package.name} (v.${Package.version}) server listening on ${server.info.uri} in ${process.env.NODE_ENV} mode`)
}

startServer().catch(console.error)
